<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <script src="https://unpkg.com/axios/dist/axios.min.js"></script>
</head>

<body>
    <input type="text" name="user">
    <button onClick="adicionar()">Adicionar</button>

    <ul>
    </ul>
    <script>
        var body = document.querySelector("ul")

        function adicionar() {
            var nome = document.querySelector("input").value
            document.querySelector("input").value = ""

            var url = "https://api.github.com/users/" + nome + "/repos";

            axios.get(url)
                .then(function (response) {
                    for (repo of response.data) {
                        var linha = document.createElement("li")
                        linha.innerText = repo.name
                        body.appendChild(linha)
                    }
                })
                .catch(function (error) {
                    console.log(error);
                });





        }
    </script>
</body>

</html>